// echofilesvcObj.h : Declaration of the CechofilesvcObj

#pragma once
#include "resource.h"       // main symbols

#include "echofilesvc.h"


// CechofilesvcObj

class ATL_NO_VTABLE CechofilesvcObj : 
	public CComObjectRootEx<CComSingleThreadModel>,
	public CComCoClass<CechofilesvcObj, &CLSID_echofilesvcObj>,
	public IDispatchImpl<IechofilesvcObj, &IID_IechofilesvcObj, &LIBID_echofilesvcLib, /*wMajor =*/ 1, /*wMinor =*/ 0>
{
public:
	CechofilesvcObj()
	{
	}

DECLARE_REGISTRY_RESOURCEID(IDR_ECHOFILESVCOBJ)


BEGIN_COM_MAP(CechofilesvcObj)
	COM_INTERFACE_ENTRY(IechofilesvcObj)
	COM_INTERFACE_ENTRY(IDispatch)
END_COM_MAP()


	DECLARE_PROTECT_FINAL_CONSTRUCT()

	HRESULT FinalConstruct()
	{
		return S_OK;
	}
	
	void FinalRelease() 
	{
	}

public:
	STDMETHOD(echoDataFile)(/*[in]*/ VARIANT inputDataFile, /*[out, retval]*/ VARIANT *outputDataFile);

};

OBJECT_ENTRY_AUTO(__uuidof(echofilesvcObj), CechofilesvcObj)
